Commit 1468b0a8 authored by Manish Singh's avatar Manish Singh Committed by Manish Singh

require automake 1.6

2002-11-06  Manish Singh  <yosh@gimp.org>

        * autogen.sh: require automake 1.6

        * m4compat: removed, unneeded now
parent fbd27651
2002-11-06 Manish Singh <yosh@gimp.org>
* autogen.sh: require automake 1.6
* m4compat: removed, unneeded now
2002-11-06 Sven Neumann <sven@gimp.org> 2002-11-06 Sven Neumann <sven@gimp.org>
* plug-ins/common/papertile.c: applied a patch from Toby Smith * plug-ins/common/papertile.c: applied a patch from Toby Smith
......
...@@ -16,13 +16,10 @@ FILE=plug-ins ...@@ -16,13 +16,10 @@ FILE=plug-ins
LIBTOOL_REQUIRED_VERSION=1.3.4 LIBTOOL_REQUIRED_VERSION=1.3.4
AUTOCONF_REQUIRED_VERSION=2.52 AUTOCONF_REQUIRED_VERSION=2.52
AUTOMAKE_REQUIRED_VERSION=1.4 AUTOMAKE_REQUIRED_VERSION=1.6
AUTOMAKE16_REQUIRED_VERSION=1.6
GLIB_REQUIRED_VERSION=2.0.0 GLIB_REQUIRED_VERSION=2.0.0
INTLTOOL_REQUIRED_VERSION=0.17 INTLTOOL_REQUIRED_VERSION=0.17
ACLOCAL_INTERNAL_FLAGS=
srcdir=`dirname $0` srcdir=`dirname $0`
test -z "$srcdir" && srcdir=. test -z "$srcdir" && srcdir=.
...@@ -78,31 +75,10 @@ echo -n "checking for automake >= $AUTOMAKE_REQUIRED_VERSION ... " ...@@ -78,31 +75,10 @@ echo -n "checking for automake >= $AUTOMAKE_REQUIRED_VERSION ... "
if (automake-1.6 --version) < /dev/null > /dev/null 2>&1; then if (automake-1.6 --version) < /dev/null > /dev/null 2>&1; then
VER=`automake-1.6 --version \ VER=`automake-1.6 --version \
| grep automake | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"` | grep automake | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
check_version $VER $AUTOMAKE16_REQUIRED_VERSION
AUTOMAKE=automake-1.6
ACLOCAL=aclocal-1.6
ACLOCAL_INTERNAL_FLAGS="-I m4compat/1.6"
elif (automake --version) < /dev/null > /dev/null 2>&1; then
VER=`automake --version \
| grep automake | sed "s/.* \([0-9.]*\)[-a-z0-9]*$/\1/"`
check_version $VER $AUTOMAKE_REQUIRED_VERSION check_version $VER $AUTOMAKE_REQUIRED_VERSION
AUTOMAKE=automake
ACLOCAL=aclocal
ACLOCAL_INTERNAL_FLAGS="-I m4compat/1.4"
echo
echo " You do not have automake 1.6."
echo " $PROJECT build will work, but the python binding will not be there."
echo " Upgrade automake if you want this functionality."
echo
echo " NOTE: you will get warnings from plug-ins/pygimp/Makefile.am."
echo " This is normal."
echo
else else
echo echo
echo " You must have automake installed to compile $PROJECT." echo " You must have automake 1.6 installed to compile $PROJECT."
echo " Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.6.3.tar.gz" echo " Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.6.3.tar.gz"
echo " (or a newer version if it is available)" echo " (or a newer version if it is available)"
DIE=1 DIE=1
...@@ -157,17 +133,9 @@ if test -z "$*"; then ...@@ -157,17 +133,9 @@ if test -z "$*"; then
echo echo
fi fi
case $CC in
*xlc | *xlc\ * | *lcc | *lcc\ *)
am_opt=--include-deps
;;
esac
echo
if test -z "$ACLOCAL_FLAGS"; then if test -z "$ACLOCAL_FLAGS"; then
acdir=`aclocal --print-ac-dir` acdir=`aclocal-1.6 --print-ac-dir`
m4list="glib-2.0.m4 glib-gettext.m4 gtk-2.0.m4 intltool.m4 pkg.m4" m4list="glib-2.0.m4 glib-gettext.m4 gtk-2.0.m4 intltool.m4 pkg.m4"
for file in $m4list for file in $m4list
...@@ -185,7 +153,7 @@ if test -z "$ACLOCAL_FLAGS"; then ...@@ -185,7 +153,7 @@ if test -z "$ACLOCAL_FLAGS"; then
done done
fi fi
if ! $ACLOCAL $ACLOCAL_INTERNAL_FLAGS $ACLOCAL_FLAGS; then if ! aclocal-1.6 $ACLOCAL_FLAGS; then
echo "$ACLOCAL gave errors. Please fix the error conditions and try again." echo "$ACLOCAL gave errors. Please fix the error conditions and try again."
exit 1 exit 1
fi fi
...@@ -193,7 +161,7 @@ fi ...@@ -193,7 +161,7 @@ fi
# optionally feature autoheader # optionally feature autoheader
(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader (autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
$AUTOMAKE --add-missing $am_opt automake-1.6 --add-missing
autoconf autoconf
libtoolize --copy --force libtoolize --copy --force
......
## Add your own autoconf macros here.
AC_DEFUN([AM_PATH_PYTHON],)
AC_DEFUN([AM_CHECK_PYTHON_HEADERS],)
## Add your own autoconf macros here.
## Find the install dirs for the python installation.
## By James Henstridge
dnl a macro to check for ability to create python extensions
dnl AM_CHECK_PYTHON_HEADERS([ACTION-IF-POSSIBLE], [ACTION-IF-NOT-POSSIBLE])
dnl function also defines PYTHON_INCLUDES
AC_DEFUN([AM_CHECK_PYTHON_HEADERS],
[AC_REQUIRE([AM_PATH_PYTHON])
AC_MSG_CHECKING(for headers required to compile python extensions)
dnl deduce PYTHON_INCLUDES
py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
if test "$py_prefix" != "$py_exec_prefix"; then
PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
fi
AC_SUBST(PYTHON_INCLUDES)
dnl check if the headers exist:
save_CPPFLAGS="$CPPFLAGS"
CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
AC_TRY_CPP([#include <Python.h>],dnl
[AC_MSG_RESULT(found)
$1],dnl
[AC_MSG_RESULT(not found)
$2])
CPPFLAGS="$save_CPPFLAGS"
])
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment